"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appClientManager = void 0;
/**
 * 管理不同调试器的 AppClient 通道
 */
class AppClientManager {
    constructor() {
        this.androidAppClientOptionList = [];
        this.iOSAppClientOptionList = [];
    }
    addAndroidAppClientOption(appClientOption) {
        this.androidAppClientOptionList.push(appClientOption);
    }
    getAppClientOptions(platform) {
        if (platform === "2" /* Android */)
            return this.androidAppClientOptionList;
        if (platform === "1" /* IOS */)
            return this.iOSAppClientOptionList;
    }
    addIOSAppClientOption(appClientOption) {
        this.iOSAppClientOptionList.push(appClientOption);
    }
    reset() {
        this.androidAppClientOptionList = [];
        this.iOSAppClientOptionList = [];
    }
    shouldUseAppClientType(platform, type) {
        const options = this.getAppClientOptions(platform);
        return Boolean(options.find((item) => item.Ctor.name === type));
    }
}
exports.appClientManager = new AppClientManager();
