"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoryPubSub = void 0;
// 扩展 eventemitter3 以支持 redis 的通配符
const event_emitter_1 = require("@/utils/event-emitter");
const pubsub = new event_emitter_1.EventEmitter();
class MemoryPubSub {
    constructor(channel) {
        this.channel = channel;
    }
    publish(message) {
        let msgStr;
        if (typeof message !== 'string')
            msgStr = JSON.stringify(message);
        else
            msgStr = message;
        pubsub.emit(this.channel, msgStr, null, null, null, null);
    }
    subscribe(cb) {
        pubsub.on(this.channel, cb);
    }
    pSubscribe(cb) {
        pubsub.on(this.channel, cb);
    }
    unsubscribe() {
        pubsub.removeAllListeners(this.channel);
    }
    pUnsubscribe() {
        pubsub.removeAllListeners(this.channel);
    }
    disconnect() { }
}
exports.MemoryPubSub = MemoryPubSub;
