"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tdfLogMiddleWareManager = void 0;
const tslib_1 = require("tslib");
const enum_tdf_mapping_1 = require("tdf-devtools-protocol/dist/types/enum-tdf-mapping");
const safe_1 = require("colors/safe");
const enum_chrome_mapping_1 = require("tdf-devtools-protocol/dist/types/enum-chrome-mapping");
const log_1 = require("@/utils/log");
const log = new log_1.Logger('tdf-log-middleware');
exports.tdfLogMiddleWareManager = {
    downwardMiddleWareListMap: {
        [enum_tdf_mapping_1.TdfEvent.TDFLogGetLog]: ({ msg, sendToDevtools }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            var _a;
            const eventRes = msg;
            const { params } = eventRes;
            try {
                let firstLog;
                params.log.forEach((log) => {
                    const timestamp = `${new Date(Math.floor(log.timestamp / 1000000)).toLocaleString()}(${log.timestamp})`; // 换算为毫秒， 1毫秒 = 1000000纳秒
                    const logPrefixTemp = `[${timestamp}] [${log.level}] [${log.source}] `;
                    const logPrefix = log.module ? `${logPrefixTemp}[${log.module}] ` : `${logPrefixTemp}`;
                    const consoleMessage = {
                        source: 'other',
                        level: 'info',
                        text: `${safe_1.blue(logPrefix)}${safe_1.black(log.message)}`,
                        lineNumber: log.line_number,
                        timestamp: Date.now(),
                        url: log.file_name,
                    };
                    const event = {
                        method: enum_chrome_mapping_1.ChromeEvent.LogEntryAdded,
                        params: {
                            entry: consoleMessage,
                        },
                    };
                    firstLog !== null && firstLog !== void 0 ? firstLog : (firstLog = event);
                    sendToDevtools(event);
                });
                return Promise.resolve(firstLog);
            }
            catch (e) {
                log.error(`${enum_chrome_mapping_1.ChromeEvent.LogEntryAdded} failed! %s`, (_a = e) === null || _a === void 0 ? void 0 : _a.stack);
                return Promise.reject(e);
            }
        }),
    },
    upwardMiddleWareListMap: {},
};
