"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendFailResultToDevtools = exports.sendEmptyResultToDevtools = exports.defaultUpwardMiddleware = exports.defaultDownwardMiddleware = void 0;
const tslib_1 = require("tslib");
/**
 * 默认下行中间件，发送至 devtools
 */
const defaultDownwardMiddleware = ({ msg, sendToDevtools }, next) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield next();
    return sendToDevtools(msg);
});
exports.defaultDownwardMiddleware = defaultDownwardMiddleware;
/**
 * 默认上行中间件，发送至 app
 */
const defaultUpwardMiddleware = ({ msg, sendToApp }, next) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield next();
    return sendToApp(msg);
});
exports.defaultUpwardMiddleware = defaultUpwardMiddleware;
const sendEmptyResultToDevtools = ({ msg, sendToDevtools }, next) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield next();
    const req = msg;
    return sendToDevtools({
        id: req.id,
        method: req.method,
        result: {},
    });
});
exports.sendEmptyResultToDevtools = sendEmptyResultToDevtools;
const sendFailResultToDevtools = ({ msg, sendToDevtools }, next) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield next();
    const req = msg;
    return sendToDevtools({
        id: req.id,
        method: req.method,
        error: {
            code: -32601 /* ProtocolNotFound */,
            message: `'${req.method}' wasn't found`,
        },
    });
});
exports.sendFailResultToDevtools = sendFailResultToDevtools;
